package com.hzya.frame.cbs8.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.cbs8.dto.req.PayResultRequestDTO;
import com.hzya.frame.cbs8.dto.res.PayResponseDTO;
import com.hzya.frame.cbs8.dto.res.PayResultResDTO;
import com.hzya.frame.seeyon.cbs8.entity.PaymentEntity;

import java.util.List;

/**
 * @Description cbs8接口
 * @Author xiangerlin
 * @Date 2024/6/6 15:30
 **/
public interface ICbs8Service {

    /**
     * 支付申请
     * @param paymentEntity
     */
    PayResponseDTO payApply(PaymentEntity paymentEntity);

    /**
     * 通过业务参考号查询交易结果 3.2.6
     * @param resultRequestDTO
     * @return
     * @throws Exception
     */
    List<PayResultResDTO> queryPayResult(PayResultRequestDTO resultRequestDTO);
}
